Skip to content
CARP Docs
Ask AISystemLightDark

Protocol factory service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/protocol-factory-service

The request body should be a serialized ProtocolFactoryServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • CreateCustomProtocol -> Unit
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
ownerId*
name*string
customProtocol*string
description?string
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
Example request
curl -X POST 'https://dev.carp.dk/api/protocol-factory-service' \  -H 'Content-Type: application/json' \  -d '{  "ownerId": {},  "name": "string",  "customProtocol": "string",  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
{}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture